> ## Documentation Index
> Fetch the complete documentation index at: https://apidoc.sign.plus/llms.txt
> Use this file to discover all available pages before exploring further.

# List webhooks



## OpenAPI

````yaml post /webhooks
openapi: 3.0.0
info:
  title: Sign.plus Developer API v2
  description: Integrate legally-binding electronic signature to your workflow
  version: 2.8.0
  contact:
    name: Sign.Plus
    url: https://sign.plus
    email: support@alohi.com
servers:
  - url: https://restapi.sign.plus/v2
    description: Sign.Plus API - Production
security: []
tags:
  - name: signplus
    description: Sign.plus API
paths:
  /webhooks:
    post:
      tags:
        - signplus
      summary: List webhooks
      operationId: list_webhooks
      requestBody:
        required: false
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListWebhooksRequest'
      responses:
        '200':
          description: List of webhooks retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListWebhooksResponse'
      security:
        - BearerAuth:
            - SIGN_ALL_READ
components:
  schemas:
    ListWebhooksRequest:
      type: object
      properties:
        webhook_id:
          type: string
          description: ID of the webhook
        event:
          $ref: '#/components/schemas/WebhookEvent'
    ListWebhooksResponse:
      x-go-name: ListWebhooksResult
      type: object
      properties:
        webhooks:
          type: array
          items:
            $ref: '#/components/schemas/Webhook'
    WebhookEvent:
      type: string
      description: Event of the webhook
      enum:
        - ENVELOPE_EXPIRED
        - ENVELOPE_DECLINED
        - ENVELOPE_VOIDED
        - ENVELOPE_COMPLETED
        - ENVELOPE_AUDIT_TRAIL
    Webhook:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier of the webhook
        event:
          $ref: '#/components/schemas/WebhookEvent'
        target:
          type: string
          description: Target URL of the webhook
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````